/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLBodyElement_H___INT_
#define __GdomHTMLBodyElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLBodyElement.h"
G_BEGIN_DECLS
class GDOMHTMLBodyElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_BODY_ELEMENT; }
    GDOMHTMLBodyElement(PassRefPtr<WebCore::HTMLBodyElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLBodyElement_H___INT_*/
